/**
 * PETALS - PETALS Services Platform. Copyright (c) 2009 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 * -------------------------------------------------------------------------
 * $Id:
 * -------------------------------------------------------------------------
 */
package org.ow2.petals.bc.ejb.configuration;

import java.util.List;

/**
 * Interface which describes the method that need to be implemented by the
 * configuration elements such as DatabindingInfo, EjbInfo, etc.
 *
 * @author Charles Casadei - eBM WebSourcing
 */
public interface ConfigurationElement {

    /**
     * Retrieve all the missing configuration parameters for the current
     * configuration element. The missing configuration elements are returned
     * as a List.
     *
     * @return a list of the missing elements
     */
    public List<String> findMissingElements();

    /**
     * Retrieve all the invalid configuration parameters for the current
     * configuration element. The invalid configuration elements are returned
     * as a List.
     *
     * @return a list of the invalid elements
     */
    public List<String> findInvalidElements();

}
