/**
 * PETALS - PETALS Services Platform. Copyright (c) 2009 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 * -------------------------------------------------------------------------
 * $Id:
 * -------------------------------------------------------------------------
 */
package org.ow2.petals.bc.ejb.exceptions;

/**
 * An exception raised if the component can't open a connection to the
 * specificated EJB due to security reasons.
 *
 * @author Charles Casadei - eBM WebSourcing
 */
public class AuthenticationException extends Exception {

    private static final long serialVersionUID = 158942114150997L;

    /**
     * Default constructor.
     *
     * @param msg the error message
     */
    public AuthenticationException(final String msg) {
        super("Authentication error : " + msg);
    }

    /**
     * Default constructor.
     *
     * @param msg the error message
     * @param ex the original exception
     */
    public AuthenticationException(final String msg, final Exception ex) {
        super("Authentication error : " + msg + ex.getMessage(), ex);
    }
}
